package com.zhongzheng.modules.user.mapper;

import com.zhongzheng.modules.user.bo.RanKingUserQuery;
import com.zhongzheng.modules.user.bo.UserQueryBo;
import com.zhongzheng.modules.user.bo.UserStudyRecordQueryBo;
import com.zhongzheng.modules.user.domain.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhongzheng.modules.user.vo.RanKingUser;
import com.zhongzheng.modules.user.vo.UserStudyRecordVo;
import com.zhongzheng.modules.user.vo.UserVo;

import java.util.List;

/**
 * 用户Mapper接口
 *
 * @author change
 * @date 2021-05-25
 */
public interface UserMapper extends BaseMapper<User> {

    RanKingUser selectByRank(RanKingUserQuery query);

    List<RanKingUser> selectByRanks(RanKingUserQuery query);

    Integer selectByRankOne(Integer hourse);

    RanKingUser selectByOneRank(RanKingUserQuery query);

    Integer selectUserNum(Integer grade);

    List<User> selectList(UserQueryBo bo);

    List<UserStudyRecordVo> selectStudyRecordList(UserStudyRecordQueryBo bo);
}
